-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/barovhelper/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Better luck next time"] = "Better luck next time"
Ld["challenge the Mistress of Illusion"] = "challenge the Mistress of Illusion"
Ld["Jandice Barov"] = "Jandice Barov"
Ld["Ugh... death... hurts? Unreal"] = "Ugh... death... hurts? Unreal"


if locale == "frFR" then do end
La["Better luck next time"] = "Vous aurez peut-être plus de chance la prochaine fois" -- Needs review
La["challenge the Mistress of Illusion"] = "défier la maîtresse de l’illusion" -- Needs review
La["Jandice Barov"] = "Jandice Barov" -- Needs review
La["Ugh... death... hurts? Unreal"] = "Aïe… une mort… douloureuse ? Inconcevable" -- Needs review

elseif locale == "deDE" then do end
La["Better luck next time"] = "Viel Glück beim nächsten Mal" -- Needs review
La["challenge the Mistress of Illusion"] = "die Herrin der Illusion herauszufordern" -- Needs review
La["Jandice Barov"] = "Jandice Barov" -- Needs review
La["Ugh... death... hurts? Unreal"] = "Uh... sterben... tut weh? Unwirklich" -- Needs review

elseif locale == "koKR" then do end
-- La["Better luck next time"] = ""
-- La["challenge the Mistress of Illusion"] = ""
-- La["Jandice Barov"] = ""
-- La["Ugh... death... hurts? Unreal"] = ""

elseif locale == "esMX" then do end
-- La["Better luck next time"] = ""
-- La["challenge the Mistress of Illusion"] = ""
-- La["Jandice Barov"] = ""
-- La["Ugh... death... hurts? Unreal"] = ""

elseif locale == "ruRU" then do end
La["Better luck next time"] = "Может, в следующий раз вам повезет больше" -- Needs review
La["challenge the Mistress of Illusion"] = "бросить вызов госпоже иллюзий" -- Needs review
La["Jandice Barov"] = "Джандис Барова" -- Needs review
La["Ugh... death... hurts? Unreal"] = "Оказывается... умирать... больно" -- Needs review

elseif locale == "zhCN" then do end
-- La["Better luck next time"] = ""
-- La["challenge the Mistress of Illusion"] = ""
-- La["Jandice Barov"] = ""
-- La["Ugh... death... hurts? Unreal"] = ""

elseif locale == "esES" then do end
-- La["Better luck next time"] = ""
La["challenge the Mistress of Illusion"] = "desafiar a la señora de las ilusiones" -- Needs review
La["Jandice Barov"] = "Jandice Barov" -- Needs review
La["Ugh... death... hurts? Unreal"] = "Aah... ¿la muerte... duele? Increíble" -- Needs review

elseif locale == "zhTW" then do end
-- La["Better luck next time"] = ""
-- La["challenge the Mistress of Illusion"] = ""
-- La["Jandice Barov"] = ""
-- La["Ugh... death... hurts? Unreal"] = ""

elseif locale == "ptBR" then do end
-- La["Better luck next time"] = ""
La["challenge the Mistress of Illusion"] = "desafiar a Senhora da Ilusão" -- Needs review
La["Jandice Barov"] = "Janice Barov" -- Needs review
La["Ugh... death... hurts? Unreal"] = "Ugh... morrer... dói...? Não acredito" -- Needs review

elseif locale == "itIT" then do end
-- La["Better luck next time"] = ""
-- La["challenge the Mistress of Illusion"] = ""
-- La["Jandice Barov"] = ""
-- La["Ugh... death... hurts? Unreal"] = ""

end
